#ifndef __OMW_WDT_H__
#define __OMW_WDT_H__

#include "t1001.h"
#include "stdint.h"


void omw_wdt_feed(uint16_t n);
void omw_wdt_en(FunctionalState NEWSTATE);
void omw_wdt_it_en(void);
void omw_wdt_reset(void);
void omw_wdt_clr_status(void);
uint16_t omw_wdt_value(void);
uint16_t omw_wdt_time_value(void);
uint8_t  omw_wdt_get_status(void);



#endif